#ifndef __ASSASSIN_BROWSER__H__
#define __ASSASSIN_BROWSER__H__

#include <packagekit/pk-enum.h>
#include <pkutil.h>
#include <etk/Etk.h>
#include <Evas.h>
#include <Ecore.h>
#include <gears.h>

/*
 * A browser to browse the package categories and individual packages.
 */


struct Scroll_Page * get_categories_page();
void refresh_categories_lists(void);
#define NUMBER_BUTTOM_LIST 3
struct Group_List {
	struct Scroll_Page * page[NUMBER_BUTTOM_LIST];
	struct Scroll_List * list[NUMBER_BUTTOM_LIST];
	Evas_List *sublist[NUMBER_BUTTOM_LIST];
	Evas_Hash * pkgitem_hash;
	Etk_Tree_Row *row;
};

struct PKG_Item {
	char *packageid;
	char *license;
	char *group_text;
	char *description;
	char *url;
	unsigned int size;

	Etk_Tree_Row *row;
};

struct Package_Detail {
	Evas_Object *package_view;
	Etk_Widget  *etk_evas_obj;
	Etk_Widget  *scrolled_view;
	Etk_Widget  *embed;
	Evas_Object *description;
	Evas_Object *thumbnail;
};

struct Group_List * get_packages_list(const char *header, PkGroupEnum group, struct Group_List *GL);

struct Scroll_Page *get_package_detail_sp(struct PKG_Item *pkg_item);
#endif
